Regarder Netflix sur Linux avec Firefox (Toutes les versions)

Netflix a effectué sa migration vers html5 puisque le standard propose d’intégrer l’EME et les CDM  http://www.html5rocks.com/en/tutorials/eme/basics/. Ce qui a provoqué pas mal de mécontentement, logique mais les DRM ne peuvent pas mourir et seront intégrés quels que soient les contrats. EME est l’api en JavaScript, CMD est la partie à source fermé qui sera téléchargé lors de la lecture pour décrypter le média. Concernant Firefox et bien vous pouvez voir en suivant ces liens ce qu’il en est :
https://blog.mozilla.org/blog/2015/05/12/update-on-digital-rights-management-and-firefox/
https://bugzilla.mozilla.org/showdependencytree.cgi?id=1015800&hide_resolved=0
https://wiki.mozilla.org/Media/EME

Donc Firefox intègre ce truc depuis la version 38 mais Netflix ne permet toujours pas son utilisation sur notre navigateur préféré.

PIPELIGHT

La solution Pipelight : http://pipelight.net/cms/installation.html
Se propose d’installer Wine et d’apporter une solution toute prête pour intégrer :
silverlight5.1, silverlight5.0, silverlight4, flash, unity3d, widevine, shockwave, foxitpdf, grandstream, adobereader, hikvision, npactivex, roblox, vizzedrgr, viewright-caiway, x64-unity3d, x64-flash

INSTALLER

sudo add-apt-repository ppa:pipelight/stable
sudo apt-get update
sudo apt-get install --install-recommends pipelight-multi
sudo pipelight-plugin --update

Par contre il activera peut-être d’autres modules que vous ne désirez pas comme Flash par exemple.
Pour lister les modules activés:  pipelight-plugin --list-enabled
Pour déactiver un plugin:              pipelight-plugin --disable module
Pour activer un plugin:                   pipelight-plugin --enable module
Remplacez « module » par le module voulu.

IMPORTANT: À noter Pipelight ne fonctionne pas avec la version 42 de Firefox, en tout cas sur le canal aurora j’avais eu des problèmes, mais surtout Pipelight crashe avec E10S (Electrolysis) qui permet a Firefox d’utiliser plusieurs Thread pour chaque onglet comme avec chrome.
https://bugzilla.mozilla.org/show_bug.cgi?id=1200003
Donc en gros il faut déactiver e10s, le mode multi-processus sur Firefox.

CHANGER L’USER-AGENT

On a Silerlight sur Linux mais Netflix ne veut toujours pas coopérer : il faut changer l’user agent. Je vous conseille ce plugin UAControl https://addons.mozilla.org/en-US/firefox/addon/uacontrol/ qui vous permettra de changer l’user agent pour un site en particulier et de le définir de manière globale (que pouvez choisir de ne pas donner  en choisissant Block)

Je vous conseille d’utiliser Windows / Firefox 40: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:40.0) Gecko/20100101 Firefox/40.0
Comme user-agent c’est celui qui fonctionne pour moi.

Voici une liste de chaînes d’user-agent que vous pouvez utiliser.

Linux / Firefox 40: Mozilla/5.0 (X11; Linux x86_64; rv:40.0) Gecko/20100101 Firefox/40.0
Linux / Chrome 34: Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/34.0.1847.137 Safari/537.36
Mac / Firefox 29: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.9; rv:29.0) Gecko/20100101 Firefox/29.0
Mac / Chrome 34: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_9_3) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/34.0.1847.137 Safari/537.36
Mac / Safari 7: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_9_3) AppleWebKit/537.75.14 (KHTML, like Gecko) Version/7.0.3 Safari/537.75.14
Windows / Firefox 40: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:40.0) Gecko/20100101 Firefox/40.0
Windows / Chrome 34: Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/34.0.1847.137 Safari/537.36
Windows / IE 6: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1)
Windows / IE 7: Mozilla/4.0 (compatible; MSIE 7.0; Windows NT 5.1)
Windows / IE 8: Mozilla/4.0 (compatible; MSIE 8.0; Windows NT 6.1; WOW64; Trident/4.0)
Windows / IE 9: Mozilla/5.0 (compatible; MSIE 9.0; Windows NT 6.1; WOW64; Trident/5.0)
Windows / IE 10: Mozilla/5.0 (compatible; MSIE 10.0; Windows NT 6.1; WOW64; Trident/6.0)
Windows / IE 11: Mozilla/5.0 (Windows NT 6.1; WOW64; Trident/7.0; rv:11.0) like Gecko
Android / Firefox 29: Mozilla/5.0 (Android; Mobile; rv:29.0) Gecko/29.0 Firefox/29.0
Android / Chrome 34: Mozilla/5.0 (Linux; Android 4.4.2; Nexus 4 Build/KOT49H) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/34.0.1847.114 Mobile Safari/537.36
iOS / Chrome 34: Mozilla/5.0 (iPad; CPU OS 7_0_4 like Mac OS X) AppleWebKit/537.51.1 (KHTML, like Gecko) CriOS/34.0.1847.18 Mobile/11B554a Safari/9537.53
iOS / Safari 7: Mozilla/5.0 (iPad; CPU OS 7_0_4 like Mac OS X) AppleWebKit/537.51.1 (KHTML, like Gecko) Version/7.0 Mobile/11B554a Safari/9537.53

Bon visionnage !

Jérémy

Développeur et adepte GNU/Linux

Les derniers articles par Jérémy (tout voir)

Partager à l'aide d'un réseau social (<a href="/a-propos" alt="En savoir plus sur l'utilisation de cette fonctionnalité">*</a>)
  •  
  •  
  •  
  •  
  •  
  •  
  •  
0 0

Poster un Commentaire

Soyez le premier à commenter !